The basic combat style of a Paladin is similar to a Knight, which is a lower occupation in a party. However, their White Magic has been strengthened. And during Siege Battle, a Paladin can use its strong defense to block a stronghold. They will show their best ability while guarding places like the gates or similar places.
They have basic skills such as increasing their defense, healing ones HP and pulling the enemy's attention so he/she can use his/her strong defense.
To be a Paladin, your level must be over 40 and you need to collect the Mark of Duty, the Mark of Trust, and the Mark of the Healer.
Ask about marks.
Return